AceTime 3.0.0 Date and time classes for Arduino that support timezones from the TZ Database.

Public Member Functions | Public Attributes | List of all members
ace_time::extended::MatchingEraTemplate< D > Struct Template Reference

Data structure that captures the matching ZoneEra and its ZoneRule transitions for a given year. More...

`#include <Transition.h>`

Collaboration diagram for ace_time::extended::MatchingEraTemplate< D >:
[legend]

## Public Member Functions
void | log () const

## Public Attributes
DateTuple | startDateTime
| The effective start time of the matching ZoneEra, which uses the UTC offsets of the previous matching era.
DateTuple | untilDateTime
| The effective until time of the matching ZoneEra.
D::ZoneEraBroker | era
| The ZoneEra that matched the given year. More...
MatchingEraTemplate * | prevMatch
| The previous MatchingEra, needed to interpret startDateTime. More...
int32_t | lastOffsetSeconds
| The STD offset of the last Transition in this MatchingEra.
int32_t | lastDeltaSeconds
| The DST offset of the last Transition in this MatchingEra.

## Detailed Description

### template<typename D>
struct ace_time::extended::MatchingEraTemplate< D >

Data structure that captures the matching ZoneEra and its ZoneRule transitions for a given year.

Can be cached based on the year.

Template Parameters

  D | container type of ZoneInfo database

Definition at line 47 of file Transition.h.

## Member Data Documentation

## ◆ era

template<typename D >

D::ZoneEraBroker ace_time::extended::MatchingEraTemplate< D >::era

The ZoneEra that matched the given year.

NonNullable.

Definition at line 58 of file Transition.h.

## ◆ prevMatch

template<typename D >

MatchingEraTemplate* ace_time::extended::MatchingEraTemplate< D >::prevMatch

The previous MatchingEra, needed to interpret startDateTime.

Definition at line 61 of file Transition.h.

The documentation for this struct was generated from the following file:

- /home/brian/src/AceTimeSuite/libraries/AceTimeLib/src/ace_time/Transition.h